<template>
  <v-container id="login">
    <v-row class="d-flex justify-center align-center">
      <div class="card-login">
        <v-card class="pa-5">
          <v-card-title class="text-h3">Login</v-card-title>
          <v-form ref="form" v-model="valid" lazy-validation>
            <v-container>
              <v-text-field
                v-model="email"
                label="Email"
                :rules="emailRules"
                type="email"
                required
              ></v-text-field>
              <v-text-field
                v-model="password"
                :rules="passwordRules"
                label="Senha"
                type="password"
                required
              ></v-text-field>
              <v-row class="my-3 mx-1 flex justify-center">
                <v-btn
                  :disabled="!valid"
                  color="primary"
                  class="mr-4"
                  elevation="0"
                  large
                  @click="login"
                >
                  LOGIN
                </v-btn>
              </v-row>
            </v-container>
          </v-form>
        </v-card>
      </div>
    </v-row>
  </v-container>
</template>

<script>
export default {
  name: "loginPage",
  data: () => ({
    valid: false,
    email: "",
    emailRules: [
      (value) => !!value || "Obrigatório.",
      (value) =>
        /^[a-z0-9.]+@[a-z0-9]+\.[a-z]+\.?([a-z]+)$/i.test(value) ||
        "Email inválido",
    ],
    password: "",
    passwordRules: [
      (value) => !!value || "Obrigatório.",
      (value) => value && value.length >= 6,
    ],
  }),
  methods: {
    login() {
      if (!this.valid) return;
      this.$store.dispatch("user/login", {
        login: this.email,
        password: this.password,
      });
      const path = this.$route.query.redirect;
      path ? this.$router.push(path) : this.$router.push("/home");
    },
  },
};
</script>

<style lang="scss" scoped>
#login {
  height: 100%;
  .row {
    height: 100%;
    .card-login {
      width: 600px;
    }
  }
}
</style>